Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Summary:   	Assistive Technology Service Provider Interface 
Name:      	at-spi
Version:   	1.21.3
Release:   	1
License: 	LGPL
URL:		http://developer.gnome.org/projects/gap/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	gtk2+
Requires: 	libbonobo
Requires: 	ORBit2
Requires: 	gail
BuildRequires: 	pango-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	libbonobo-devel
BuildRequires: 	ORBit2-devel
BuildRequires: 	gail-devel
BuildRequires: 	fontconfig
BuildRequires: 	autoconf
BuildRequires: 	gettext
BuildRequires: 	perl-XML-Parser
BuildRequires: 	libX11-devel
BuildRequires: 	libXtst-devel
BuildRequires: 	libXi-devel, libXevie-devel 
BuildRequires: 	libXevie-devel 
BuildRequires: 	libXt-devel 

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.


%package devel
Summary: 	Development libraries and headers for at-spi
Group: 		Development/Libraries
Requires: 	%name = %{version}
Requires: 	gtk2+-devel
Requires: 	libbonobo-devel
Requires: 	ORBit2-devel
Requires: 	gail-devel
Requires: 	pkg-config

%description devel
Libraries and header files allowing compilation of apps that use at-spi.

%pre
if [ -h /usr/lib/gtk-2.0/modules ]; then
    rm -f /usr/lib/gtk-2.0/modules
fi

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --disable-gtk-doc --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/at-spi
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang at-spi

%files -f at-spi.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/bonobo/servers/*
%{_libdir}/orbit-2.0/*
%{_libdir}/gtk-2.0/modules/*
%{_libdir}/at-spi/*
/usr/lib/python2.5/site-packages/pyatspi/

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/*
%{_datadir}/idl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/* 
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 1.21.3-1
- Version update, moved libexecdir
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.20.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.0-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-4
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-3
- added removel of wrong symlink
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-2
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-1
- Version update, moved prefix
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.7.11-1
- Version Update
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.7.7-1
- Initial Release
